Bug 1378446 - SELinux is preventing usbguard from 'open' accesses on the file /dev/shm/qb-usbguard-request-8510-9852-11-header.
Summary: SELinux is preventing usbguard from 'open' accesses on the file /dev/shm/qb-u...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:1d9acad21154efc51e7f5432e17...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-22 12:29 UTC by Radovan Sroka
Modified: 2016-11-10 03:30 UTC (History)
5 users (show)

Fixed In Version: selinux-policy-3.13.1-191.20.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-10 03:30:16 UTC


Attachments (Terms of Use)

Description Radovan Sroka 2016-09-22 12:29:27 UTC
Description of problem:
Description of the problem:
1. set user to be staff_t
2. install usbguard
3. touch /etc/usbguard/rules.conf
3. systemctl start usbguard.service && systemctl status usbguard.service #check if running
4. run "usbguard list_devices"

Actual Result:
"ERROR: IPC connect: service=usbguard: No such file or directory" 

Expected Result:
printed lines of devices

OS: f24
Packages:
usbguard-0.6.2-1.fc24.x86_64
libqb-1.0-1.fc24.x86_64
selinux-policy-3.13.1-191.16.fc24.noarch
SELinux is preventing usbguard from 'open' accesses on the file /dev/shm/qb-usbguard-request-8510-9852-11-header.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that usbguard should be allowed open access on the qb-usbguard-request-8510-9852-11-header file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'usbguard' --raw | audit2allow -M my-usbguard
# semodule -X 300 -i my-usbguard.pp

Additional Information:
Source Context                staff_u:staff_r:staff_t:s0:c0.c1023
Target Context                system_u:object_r:tmpfs_t:s0
Target Objects                /dev/shm/qb-usbguard-request-8510-9852-11-header [
                              file ]
Source                        usbguard
Source Path                   usbguard
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-191.16.fc24.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 4.7.3-200.fc24.x86_64 #1 SMP Wed
                              Sep 7 17:31:21 UTC 2016 x86_64 x86_64
Alert Count                   1
First Seen                    2016-09-22 14:00:21 CEST
Last Seen                     2016-09-22 14:00:21 CEST
Local ID                      401d4cca-47e9-4b83-b0fd-cff2a0961516

Raw Audit Messages
type=AVC msg=audit(1474545621.629:805): avc:  denied  { open } for  pid=9852 comm="usbguard" path="/dev/shm/qb-usbguard-request-8510-9852-11-header" dev="tmpfs" ino=92865 scontext=staff_u:staff_r:staff_t:s0:c0.c1023 tcontext=system_u:object_r:tmpfs_t:s0 tclass=file permissive=1


Hash: usbguard,staff_t,tmpfs_t,file,open

Version-Release number of selected component:
selinux-policy-3.13.1-191.16.fc24.noarch

Additional info:
reporter:       libreport-2.7.2
hashmarkername: setroubleshoot
kernel:         4.7.3-200.fc24.x86_64
type:           libreport

Comment 1 Fedora Update System 2016-11-04 12:12:23 UTC
selinux-policy-3.13.1-191.20.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7ce27629b3

Comment 2 Fedora Update System 2016-11-05 03:36:46 UTC
selinux-policy-3.13.1-191.20.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7ce27629b3

Comment 3 Fedora Update System 2016-11-10 03:30:16 UTC
selinux-policy-3.13.1-191.20.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.